question

rajivbandi_122971 avatar image
rajivbandi_122971 asked rajivbandi_122971 commented

Will spark-cassandra-connector 2.5.x be updated to include Cassandra Java driver 4.10?

I know I have asked a similar question few days ago for inclusion of cassandra 4.9 driver into Spark Cassandra connector 2.5.x

I see that there is a new version of the cassandra driver 4.10 and spark connector 2.5.2 release is still awaited.

Hence, will spark-cassandra-connector 2.5 be updated to include cassandra Java driver 4.10?

spark-cassandra-connector
10 |1000

Up to 8 attachments (including images) can be used with a maximum of 1.0 MiB each and 10.0 MiB total.

smadhavan avatar image
smadhavan answered rajivbandi_122971 commented

@rajivbandi_122971, thanks for your question! Are there any particular feature set that you are specifically looking at the latest Java Driver that needs to be incorporated into SCC? Could you provide additional details around that?

Having said that, SCC will be updated with DataStax Java Driver 4.10.0 as part of SPARKC-640. Stay tuned!

1 comment Share
10 |1000

Up to 8 attachments (including images) can be used with a maximum of 1.0 MiB each and 10.0 MiB total.

rajivbandi_122971 avatar image rajivbandi_122971 commented ·

Thank you smadhavan.

I am looking at these improvements in 4.10.0. In general, any bug fixes are welcome.

  • [improvement] JAVA-2907: Switch Tinkerpop to an optional dependency
  • [improvement] JAVA-2904: Upgrade Jackson to 2.12.0 and Tinkerpop to 3.4.9
  • [bug] JAVA-2911: Prevent control connection from scheduling too many reconnections
0 Likes 0 ·
Erick Ramirez avatar image
Erick Ramirez answered rajivbandi_122971 commented

The embedded driver only gets updated when there's a need for it. It doesn't always happen. Cheers!

3 comments Share
10 |1000

Up to 8 attachments (including images) can be used with a maximum of 1.0 MiB each and 10.0 MiB total.

rajivbandi_122971 avatar image rajivbandi_122971 commented ·

Thanks for the quick response, Erick. But addressing security vulnerabilities as early as possible is always a need.

0 Likes 0 ·
Erick Ramirez avatar image Erick Ramirez ♦♦ rajivbandi_122971 commented ·

For the record, there are no security fixes between 4.9 and 4.10. So again, the driver is only updated when there's a need for it. Cheers!

1 Like 1 ·
rajivbandi_122971 avatar image rajivbandi_122971 Erick Ramirez ♦♦ commented ·

Agree.

I am looking at any dependency changes too.

  • [improvement] JAVA-2907: Switch Tinkerpop to an optional dependency
  • [improvement] JAVA-2904: Upgrade Jackson to 2.12.0 and Tinkerpop to 3.4.9

Jackson has a tendency to be flagged for security issues very often.

0 Likes 0 ·